> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apigroups assignments



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/groups/{id}/assignments/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/groups/{id}/assignments/:
    get:
      tags:
        - api
      operationId: group_assignments_list
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GroupAssignment'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    GroupAssignment:
      type: object
      properties:
        object_type:
          $ref: '#/components/schemas/PermissionObjectTypeEnum'
        object_id:
          type: string
          format: uuid
        display_name:
          type: string
        flags:
          type: integer
          minimum: 1
      required:
        - display_name
        - flags
        - object_id
        - object_type
    PermissionObjectTypeEnum:
      enum:
        - project
        - collection
        - asset
        - dataset
      type: string
      description: |-
        * `project` - Project
        * `collection` - Collection
        * `asset` - Asset
        * `dataset` - Dataset

````